Package com.independentsoft.office.odf

# Class LineNumberingSeparator

java.lang.Object
com.independentsoft.office.odf.LineNumberingSeparator

public class LineNumberingSeparator extends Object
Represents a the text that is displayed as a separator. A separator is text that is displayed instead of a line number for lines where no number is displayed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineNumberingSeparator()`
  Initializes a new instance of the LineNumberingSeparator class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LineNumberingSeparator`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getIncrement()`
  Causes line numbers to be numbered as multiples of a specified increment.
  `String`
  `getText()`
  Gets the text content.
  `void`
  `setIncrement​(int increment)`
  Causes line numbers to be numbered as multiples of a specified increment.
  `void`
  `setText​(String text)`
  Sets the text content.
  `String`
  `toString()`
  Converts the value of the current LineNumberingSeparator object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LineNumberingSeparator

    public LineNumberingSeparator()
    Initializes a new instance of the LineNumberingSeparator class.

- ## Method Details

  - ### clone

    public LineNumberingSeparator clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current LineNumberingSeparator object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getText

    public String getText()
    Gets the text content.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text content.
    Parameters:
      `text` - the new text

  - ### getIncrement

    public int getIncrement()
    Causes line numbers to be numbered as multiples of a specified increment.
    Returns:
      the increment

  - ### setIncrement

    public void setIncrement​(int increment)
    Causes line numbers to be numbered as multiples of a specified increment.
    Parameters:
      `increment` - the new increment